Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1014303002: Lazy RemoveCanonicalHost(). (Closed)

Created:
3 years, 2 months ago by Bence
Modified:
3 years, 2 months ago
Reviewers:
Ryan Hamilton
CC:
chromium-reviews, cbentzel+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Lazy RemoveCanonicalHost(). Call RemoveCanonicalHost() when the alternative service is found to be broken upon lookup, instead of when the alternative service is first marked broken. This will allow SetBrokenAlternateProtocol to take an alternative service instead of an origin. BUG=392576 Committed: https://crrev.com/f71da630b63cdc705515027527b720ed130fcfd9 Cr-Commit-Position: refs/heads/master@{#321466}

Patch Set 1 #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -6 lines) Patch
M net/http/http_server_properties_impl.cc View 2 chunks +16 lines, -6 lines 4 comments Download

Messages

Total messages: 10 (2 generated)
Bence
Ryan, PTAL. Thanks.
3 years, 2 months ago (2015-03-18 15:31:13 UTC) #2
Ryan Hamilton
https://codereview.chromium.org/1014303002/diff/1/net/http/http_server_properties_impl.cc File net/http/http_server_properties_impl.cc (right): https://codereview.chromium.org/1014303002/diff/1/net/http/http_server_properties_impl.cc#newcode489 net/http/http_server_properties_impl.cc:489: return it; Do you need to (possibly) do the ...
3 years, 2 months ago (2015-03-18 22:44:36 UTC) #3
Bence
https://codereview.chromium.org/1014303002/diff/1/net/http/http_server_properties_impl.cc File net/http/http_server_properties_impl.cc (right): https://codereview.chromium.org/1014303002/diff/1/net/http/http_server_properties_impl.cc#newcode489 net/http/http_server_properties_impl.cc:489: return it; On 2015/03/18 22:44:36, Ryan Hamilton wrote: > ...
3 years, 2 months ago (2015-03-19 12:44:02 UTC) #4
Ryan Hamilton
lgtm if we have the test coverage. If we don't please add it :) https://codereview.chromium.org/1014303002/diff/1/net/http/http_server_properties_impl.cc ...
3 years, 2 months ago (2015-03-19 20:05:18 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1014303002/1
3 years, 2 months ago (2015-03-19 21:36:58 UTC) #7
Bence
Thanks. https://codereview.chromium.org/1014303002/diff/1/net/http/http_server_properties_impl.cc File net/http/http_server_properties_impl.cc (right): https://codereview.chromium.org/1014303002/diff/1/net/http/http_server_properties_impl.cc#newcode489 net/http/http_server_properties_impl.cc:489: return it; On 2015/03/19 20:05:18, Ryan Hamilton wrote: ...
3 years, 2 months ago (2015-03-19 21:43:09 UTC) #8
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 2 months ago (2015-03-19 23:09:26 UTC) #9
commit-bot: I haz the power
3 years, 2 months ago (2015-03-19 23:10:07 UTC) #10
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/f71da630b63cdc705515027527b720ed130fcfd9
Cr-Commit-Position: refs/heads/master@{#321466}

Powered by Google App Engine
This is Rietveld 408576698